=== modified file 'plugin/utility_functions/tests/r/kill.result'
--- plugin/utility_functions/tests/r/kill.result	2011-01-23 20:48:06 +0000
+++ plugin/utility_functions/tests/r/kill.result	2011-01-23 21:09:42 +0000
@@ -1,6 +1,6 @@
-SELECT COUNT(ID) FROM DATA_DICTIONARY.PROCESSLIST ORDER BY ID;
+SELECT COUNT(ID) FROM DATA_DICTIONARY.PROCESSLIST WHERE ID != CONNECTION_ID() AND USERNAME="bob" ORDER BY ID;
 COUNT(ID)
-6
+5
 SELECT IF(KILL(id), "YES", "NO") FROM DATA_DICTIONARY.PROCESSLIST WHERE ID != CONNECTION_ID() AND USERNAME="bob";
 IF(KILL(id), "YES", "NO")
 YES
@@ -8,8 +8,8 @@
 YES
 YES
 YES
-SELECT count(ID) FROM DATA_DICTIONARY.PROCESSLIST WHERE COMMAND != "Killed";
+SELECT count(ID) FROM DATA_DICTIONARY.PROCESSLIST WHERE COMMAND != "Killed" AND USERNAME="bob" and ID != CONNECTION_ID();
 count(ID)
-1
+0
 SELECT KILL(CONNECTION_ID());
 ERROR HY000: You cannot kill the session you are connected from.

=== modified file 'plugin/utility_functions/tests/r/kill_query.result'
--- plugin/utility_functions/tests/r/kill_query.result	2010-11-29 23:45:28 +0000
+++ plugin/utility_functions/tests/r/kill_query.result	2011-01-23 21:09:42 +0000
@@ -1,15 +1,15 @@
-SELECT COUNT(ID) FROM DATA_DICTIONARY.PROCESSLIST ORDER BY ID;
+SELECT COUNT(ID) FROM DATA_DICTIONARY.PROCESSLIST WHERE ID != CONNECTION_ID() AND USERNAME="bob" ORDER BY ID;
 COUNT(ID)
-6
-SELECT IF((KILL QUERY (id)), "YES", "NO"), IF((ID >0), "YES", "NO") FROM DATA_DICTIONARY.PROCESSLIST WHERE ID != CONNECTION_ID();
-IF((KILL QUERY (id)), "YES", "NO")	IF((ID >0), "YES", "NO")
-YES	YES
-YES	YES
-YES	YES
-YES	YES
-YES	YES
-SELECT count(ID) FROM DATA_DICTIONARY.PROCESSLIST WHERE COMMAND != "Killed";
+5
+SELECT IF(KILL(id), "YES", "NO") FROM DATA_DICTIONARY.PROCESSLIST WHERE ID != CONNECTION_ID() AND USERNAME="bob";
+IF(KILL(id), "YES", "NO")
+YES
+YES
+YES
+YES
+YES
+SELECT count(ID) FROM DATA_DICTIONARY.PROCESSLIST WHERE COMMAND != "Killed" AND USERNAME="bob" and ID != CONNECTION_ID();
 count(ID)
-6
+0
 SELECT KILL(CONNECTION_ID());
 ERROR HY000: You cannot kill the session you are connected from.

=== modified file 'plugin/utility_functions/tests/r/kill_repeated.result'
--- plugin/utility_functions/tests/r/kill_repeated.result	2010-12-01 01:55:42 +0000
+++ plugin/utility_functions/tests/r/kill_repeated.result	2011-01-23 21:09:42 +0000
@@ -1,5 +1,4 @@
-CREATE TABLE CONNECTIONS SELECT ID FROM DATA_DICTIONARY.PROCESSLIST WHERE ID != CONNECTION_ID();
-INSERT INTO CONNECTIONS SELECT ID FROM DATA_DICTIONARY.PROCESSLIST WHERE ID != CONNECTION_ID();
+CREATE TABLE CONNECTIONS SELECT ID FROM DATA_DICTIONARY.PROCESSLIST WHERE ID != CONNECTION_ID() AND username="bob";
 SELECT IF (KILL(id), "YES", "NO") FROM CONNECTIONS ORDER BY RAND();
 IF (KILL(id), "YES", "NO")
 YES
@@ -7,12 +6,7 @@
 YES
 YES
 YES
-YES
-YES
-YES
-YES
-YES
-SELECT count(ID) FROM DATA_DICTIONARY.PROCESSLIST WHERE COMMAND != "Killed";
+SELECT count(ID) FROM DATA_DICTIONARY.PROCESSLIST WHERE COMMAND != "Killed" AND USERNAME="bob";
 count(ID)
-1
+0
 DROP TABLE CONNECTIONS;

=== modified file 'plugin/utility_functions/tests/t/kill.test'
--- plugin/utility_functions/tests/t/kill.test	2011-01-23 20:48:06 +0000
+++ plugin/utility_functions/tests/t/kill.test	2011-01-23 21:09:42 +0000
@@ -5,9 +5,15 @@
 connect (con4,localhost,bob,,);
 connect (con5,localhost,bob,,);
 
+connection con1;
+connection con2;
+connection con3;
+connection con4;
+connection con5;
+
 connection default;
-SELECT COUNT(ID) FROM DATA_DICTIONARY.PROCESSLIST ORDER BY ID;
+SELECT COUNT(ID) FROM DATA_DICTIONARY.PROCESSLIST WHERE ID != CONNECTION_ID() AND USERNAME="bob" ORDER BY ID;
 SELECT IF(KILL(id), "YES", "NO") FROM DATA_DICTIONARY.PROCESSLIST WHERE ID != CONNECTION_ID() AND USERNAME="bob";
-SELECT count(ID) FROM DATA_DICTIONARY.PROCESSLIST WHERE COMMAND != "Killed";
+SELECT count(ID) FROM DATA_DICTIONARY.PROCESSLIST WHERE COMMAND != "Killed" AND USERNAME="bob" and ID != CONNECTION_ID();
 --error 1713
 SELECT KILL(CONNECTION_ID());

=== modified file 'plugin/utility_functions/tests/t/kill_query.test'
--- plugin/utility_functions/tests/t/kill_query.test	2010-11-29 23:45:28 +0000
+++ plugin/utility_functions/tests/t/kill_query.test	2011-01-23 21:09:42 +0000
@@ -1,13 +1,19 @@
 # Test creating a bunch of connections, and then killing them.
-connect (con1,localhost,root,,);
-connect (con2,localhost,root,,);
-connect (con3,localhost,root,,);
-connect (con4,localhost,root,,);
-connect (con5,localhost,root,,);
+connect (con1,localhost,bob,,);
+connect (con2,localhost,bob,,);
+connect (con3,localhost,bob,,);
+connect (con4,localhost,bob,,);
+connect (con5,localhost,bob,,);
+
+connection con1;
+connection con2;
+connection con3;
+connection con4;
+connection con5;
 
 connection default;
-SELECT COUNT(ID) FROM DATA_DICTIONARY.PROCESSLIST ORDER BY ID;
-SELECT IF((KILL QUERY (id)), "YES", "NO"), IF((ID >0), "YES", "NO") FROM DATA_DICTIONARY.PROCESSLIST WHERE ID != CONNECTION_ID();
-SELECT count(ID) FROM DATA_DICTIONARY.PROCESSLIST WHERE COMMAND != "Killed";
+SELECT COUNT(ID) FROM DATA_DICTIONARY.PROCESSLIST WHERE ID != CONNECTION_ID() AND USERNAME="bob" ORDER BY ID;
+SELECT IF(KILL(id), "YES", "NO") FROM DATA_DICTIONARY.PROCESSLIST WHERE ID != CONNECTION_ID() AND USERNAME="bob";
+SELECT count(ID) FROM DATA_DICTIONARY.PROCESSLIST WHERE COMMAND != "Killed" AND USERNAME="bob" and ID != CONNECTION_ID();
 --error 1713
 SELECT KILL(CONNECTION_ID());

=== modified file 'plugin/utility_functions/tests/t/kill_repeated.test'
--- plugin/utility_functions/tests/t/kill_repeated.test	2010-12-01 01:55:42 +0000
+++ plugin/utility_functions/tests/t/kill_repeated.test	2011-01-23 21:09:42 +0000
@@ -1,13 +1,18 @@
 # Test creating a bunch of connections, and then killing them.
-connect (con1,localhost,root,,);
-connect (con2,localhost,root,,);
-connect (con3,localhost,root,,);
-connect (con4,localhost,root,,);
-connect (con5,localhost,root,,);
+connect (con1,localhost,bob,,);
+connect (con2,localhost,bob,,);
+connect (con3,localhost,bob,,);
+connect (con4,localhost,bob,,);
+connect (con5,localhost,bob,,);
+
+connection con1;
+connection con2;
+connection con3;
+connection con4;
+connection con5;
 
 connection default;
-CREATE TABLE CONNECTIONS SELECT ID FROM DATA_DICTIONARY.PROCESSLIST WHERE ID != CONNECTION_ID();
-INSERT INTO CONNECTIONS SELECT ID FROM DATA_DICTIONARY.PROCESSLIST WHERE ID != CONNECTION_ID();
+CREATE TABLE CONNECTIONS SELECT ID FROM DATA_DICTIONARY.PROCESSLIST WHERE ID != CONNECTION_ID() AND username="bob";
 SELECT IF (KILL(id), "YES", "NO") FROM CONNECTIONS ORDER BY RAND();
-SELECT count(ID) FROM DATA_DICTIONARY.PROCESSLIST WHERE COMMAND != "Killed";
+SELECT count(ID) FROM DATA_DICTIONARY.PROCESSLIST WHERE COMMAND != "Killed" AND USERNAME="bob";
 DROP TABLE CONNECTIONS;

